> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/quote
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/quote:
    post:
      tags:
        - SEO and Content Create
      summary: Quote
      operationId: >-
        quote_api_v1_brands__brand_id__brand_intelligence__module__native_create_quote_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: module
          in: path
          required: true
          schema:
            type: string
            enum:
              - seo
              - content
            title: Module
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NativeCreateQuoteRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeCreateQuoteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NativeCreateQuoteRequest:
      properties:
        selection:
          $ref: '#/components/schemas/NativeCreateSelection'
        idempotencyKey:
          type: string
          maxLength: 128
          minLength: 1
          title: Idempotencykey
        baseRevisionId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Baserevisionid
        childContext:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateChildContext'
            - type: 'null'
        revisionInstructions:
          anyOf:
            - type: string
              maxLength: 4000
              minLength: 1
            - type: 'null'
          title: Revisioninstructions
      additionalProperties: false
      type: object
      required:
        - selection
        - idempotencyKey
      title: NativeCreateQuoteRequest
    NativeCreateQuoteResponse:
      properties:
        quoteId:
          type: string
          format: uuid
          title: Quoteid
        requestHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Requesthash
        idempotencyKey:
          type: string
          maxLength: 128
          minLength: 1
          title: Idempotencykey
        contextSnapshotRef:
          $ref: '#/components/schemas/ContextSnapshotRef'
        selection:
          $ref: '#/components/schemas/NativeCreateSelection'
        admittedRoster:
          $ref: '#/components/schemas/NativeCreateAdmittedRoster'
        limits:
          $ref: '#/components/schemas/NativeCreateLimits'
        quotedCostUsd:
          type: string
          pattern: >-
            ^(?!^[-+.]*$)[+-]?0*(?:\d{0,12}|(?=[\d.]{1,19}0*$)\d{0,12}\.\d{0,6}0*$)
          title: Quotedcostusd
        state:
          type: string
          enum:
            - available
            - admitted
            - expired
          title: State
        expiresAt:
          type: string
          format: date-time
          title: Expiresat
        baseRevisionId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Baserevisionid
        childContext:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateChildContext'
            - type: 'null'
        omissions:
          items:
            $ref: '#/components/schemas/NativeCreateOmission'
          type: array
          maxItems: 100
          title: Omissions
      additionalProperties: false
      type: object
      required:
        - quoteId
        - requestHash
        - idempotencyKey
        - contextSnapshotRef
        - selection
        - admittedRoster
        - limits
        - quotedCostUsd
        - state
        - expiresAt
      title: NativeCreateQuoteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NativeCreateSelection:
      properties:
        module:
          type: string
          enum:
            - seo
            - content
          title: Module
        brandId:
          type: string
          format: uuid
          title: Brandid
        entrySurface:
          type: string
          enum:
            - seo_insight
            - content_finding
            - direct
          title: Entrysurface
        deliverableKind:
          type: string
          enum:
            - seo_strategy
            - seo_refresh
            - content_strategy
            - content_asset
            - content_plan
          title: Deliverablekind
        sourceScope:
          type: string
          enum:
            - dashboard_cohort
            - account_group
          title: Sourcescope
        accountGroupId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Accountgroupid
        groupKey:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Groupkey
        cohortDomains:
          items:
            type: string
            maxLength: 253
            minLength: 1
          type: array
          maxItems: 100
          title: Cohortdomains
        regionCode:
          type: string
          pattern: ^[A-Z]{2}$
          title: Regioncode
        languageCode:
          type: string
          maxLength: 40
          minLength: 2
          pattern: ^[A-Za-z]{2,3}(?:-[A-Za-z0-9]{2,8})*$
          title: Languagecode
        measurementWindow:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateMeasurementWindow'
            - type: 'null'
        selectedEvidenceRefs:
          items:
            $ref: '#/components/schemas/NativeCreateEvidenceSelector'
          type: array
          maxItems: 80
          title: Selectedevidencerefs
        seoSourceSelector:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateSeoSourceSelector'
            - type: 'null'
        selectedContext:
          $ref: '#/components/schemas/NativeCreateSelectedContext'
        businessModel:
          type: string
          enum:
            - b2b
            - b2c
            - mixed
          title: Businessmodel
        conversionModel:
          type: string
          enum:
            - leadgen
            - ecommerce
            - mixed
          title: Conversionmodel
        objective:
          type: string
          maxLength: 500
          minLength: 1
          title: Objective
        assetFormat:
          anyOf:
            - type: string
              enum:
                - blog_post
                - guide
                - resource
                - case_study
                - whitepaper
                - webinar
                - podcast
                - video_script
            - type: 'null'
          title: Assetformat
        planAssetFormats:
          anyOf:
            - items:
                type: string
                enum:
                  - blog_post
                  - guide
                  - resource
                  - case_study
                  - whitepaper
                  - webinar
                  - podcast
                  - video_script
              type: array
              maxItems: 20
              minItems: 1
            - type: 'null'
          title: Planassetformats
        requestedAssetCount:
          type: integer
          maximum: 20
          minimum: 1
          title: Requestedassetcount
          default: 1
        outputBudget:
          $ref: '#/components/schemas/NativeCreateOutputBudget'
        ownedPageRevision:
          anyOf:
            - $ref: '#/components/schemas/OwnedPageRevisionRef'
            - type: 'null'
        sourceRevisionId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Sourcerevisionid
      additionalProperties: false
      type: object
      required:
        - module
        - brandId
        - entrySurface
        - deliverableKind
        - sourceScope
        - regionCode
        - languageCode
        - businessModel
        - conversionModel
        - objective
        - outputBudget
      title: NativeCreateSelection
    NativeCreateChildContext:
      properties:
        programRevisionId:
          type: string
          format: uuid
          title: Programrevisionid
        assetId:
          type: string
          format: uuid
          title: Assetid
        childRevisionId:
          type: string
          format: uuid
          title: Childrevisionid
      additionalProperties: false
      type: object
      required:
        - programRevisionId
        - assetId
        - childRevisionId
      title: NativeCreateChildContext
    ContextSnapshotRef:
      properties:
        contextSnapshotId:
          type: string
          format: uuid
          title: Contextsnapshotid
        contextHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Contexthash
        artifactSchemaVersion:
          type: string
          maxLength: 64
          minLength: 1
          title: Artifactschemaversion
        packetSchemaVersion:
          type: string
          maxLength: 64
          minLength: 1
          title: Packetschemaversion
        projectionPolicyVersion:
          type: string
          maxLength: 64
          minLength: 1
          title: Projectionpolicyversion
        manifestHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Manifesthash
      additionalProperties: false
      type: object
      required:
        - contextSnapshotId
        - contextHash
        - artifactSchemaVersion
        - packetSchemaVersion
        - projectionPolicyVersion
        - manifestHash
      title: ContextSnapshotRef
    NativeCreateAdmittedRoster:
      properties:
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        deliverable:
          type: string
          enum:
            - seo_strategy
            - seo_refresh
            - content_strategy
            - content_asset
            - content_plan
          title: Deliverable
        assets:
          items:
            $ref: '#/components/schemas/NativeCreateAdmittedAsset'
          type: array
          maxItems: 20
          title: Assets
      additionalProperties: false
      type: object
      required:
        - revisionId
        - deliverable
      title: NativeCreateAdmittedRoster
    NativeCreateLimits:
      properties:
        policyVersion:
          type: string
          maxLength: 120
          minLength: 1
          pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
          title: Policyversion
        maxAssets:
          type: integer
          maximum: 20
          minimum: 1
          title: Maxassets
        maxEvidenceRefs:
          type: integer
          maximum: 80
          minimum: 1
          title: Maxevidencerefs
        maxPromptChars:
          type: integer
          maximum: 500000
          minimum: 1
          title: Maxpromptchars
        maxCompiledRequestChars:
          type: integer
          maximum: 1000000
          minimum: 1
          title: Maxcompiledrequestchars
        maxInputTokens:
          type: integer
          maximum: 250000
          minimum: 1
          title: Maxinputtokens
        maxOutputTokens:
          type: integer
          maximum: 100000
          minimum: 1
          title: Maxoutputtokens
        maxOutputChars:
          type: integer
          maximum: 500000
          minimum: 1
          title: Maxoutputchars
        maxProviderCalls:
          type: integer
          maximum: 50
          minimum: 1
          title: Maxprovidercalls
      additionalProperties: false
      type: object
      required:
        - policyVersion
        - maxAssets
        - maxEvidenceRefs
        - maxPromptChars
        - maxCompiledRequestChars
        - maxInputTokens
        - maxOutputTokens
        - maxOutputChars
        - maxProviderCalls
      title: NativeCreateLimits
      description: Qualified server policy; no default here grants an allowance.
    NativeCreateOmission:
      properties:
        code:
          type: string
          maxLength: 120
          minLength: 1
          pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
          title: Code
        message:
          type: string
          maxLength: 1000
          minLength: 1
          title: Message
        sourceModule:
          anyOf:
            - type: string
              enum:
                - seo
                - content
                - audits
                - social
                - paid-media
                - google-ads
                - reviews
                - audience
            - type: 'null'
          title: Sourcemodule
      additionalProperties: false
      type: object
      required:
        - code
        - message
      title: NativeCreateOmission
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NativeCreateMeasurementWindow:
      properties:
        start:
          type: string
          format: date-time
          title: Start
        end:
          type: string
          format: date-time
          title: End
        coverage:
          type: string
          enum:
            - complete
            - partial
            - mixed
          title: Coverage
        sourceNote:
          type: string
          maxLength: 500
          minLength: 1
          title: Sourcenote
      additionalProperties: false
      type: object
      required:
        - start
        - end
        - coverage
        - sourceNote
      title: NativeCreateMeasurementWindow
    NativeCreateEvidenceSelector:
      properties:
        module:
          type: string
          enum:
            - seo
            - content
            - audits
            - social
            - paid-media
            - google-ads
            - reviews
            - audience
          title: Module
        sourceArtifactId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Sourceartifactid
        evidenceRecordId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Evidencerecordid
        findingId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Findingid
        ruleId:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Ruleid
        panelKey:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Panelkey
        itemKey:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Itemkey
      additionalProperties: false
      type: object
      required:
        - module
      title: NativeCreateEvidenceSelector
    NativeCreateSeoSourceSelector:
      properties:
        sourceKind:
          type: string
          enum:
            - keyword_gap
            - keyword_gap_cluster
          title: Sourcekind
        competitorDomain:
          type: string
          maxLength: 253
          minLength: 1
          title: Competitordomain
        keywords:
          items:
            type: string
            maxLength: 200
            minLength: 1
          type: array
          maxItems: 20
          minItems: 1
          title: Keywords
        capturedAt:
          type: string
          format: date-time
          title: Capturedat
        snapshotId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Snapshotid
      additionalProperties: false
      type: object
      required:
        - sourceKind
        - competitorDomain
        - keywords
        - capturedAt
      title: NativeCreateSeoSourceSelector
      description: >-
        Exact visible row selectors; the server resolves all facts and
        provenance.
    NativeCreateSelectedContext:
      properties:
        brandKitId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Brandkitid
        guidelineIds:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 10
          title: Guidelineids
        audienceProfileVersionId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Audienceprofileversionid
        personaIds:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 20
          title: Personaids
        scenarioIds:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 20
          title: Scenarioids
        productIds:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 50
          title: Productids
        offerIds:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 50
          title: Offerids
        uploadIds:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 30
          title: Uploadids
      additionalProperties: false
      type: object
      title: NativeCreateSelectedContext
    NativeCreateOutputBudget:
      properties:
        maxOutputTokens:
          type: integer
          maximum: 100000
          minimum: 1
          title: Maxoutputtokens
        maxOutputChars:
          type: integer
          maximum: 500000
          minimum: 1
          title: Maxoutputchars
      additionalProperties: false
      type: object
      required:
        - maxOutputTokens
        - maxOutputChars
      title: NativeCreateOutputBudget
    OwnedPageRevisionRef:
      properties:
        brandId:
          type: string
          format: uuid
          title: Brandid
        sourceKind:
          type: string
          enum:
            - owned_page_capture
            - native_create_revision
          title: Sourcekind
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        contentHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Contenthash
        canonicalUrl:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Canonicalurl
        evidenceRecordId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Evidencerecordid
      additionalProperties: false
      type: object
      required:
        - brandId
        - sourceKind
        - revisionId
        - contentHash
        - canonicalUrl
      title: OwnedPageRevisionRef
    NativeCreateAdmittedAsset:
      properties:
        assetId:
          type: string
          format: uuid
          title: Assetid
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        assetFormat:
          type: string
          enum:
            - blog_post
            - guide
            - resource
            - case_study
            - whitepaper
            - webinar
            - podcast
            - video_script
          title: Assetformat
      additionalProperties: false
      type: object
      required:
        - assetId
        - revisionId
        - assetFormat
      title: NativeCreateAdmittedAsset
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````